﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace ClearAllFiltersBntWithLabelIcon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //HeaderPrefixArea a;a.FieldLayout.DataPresenter.FieldLayoutSettings.FilterUIType
        }

        private void ClearAll(object sender, RoutedEventArgs e)
        {
            if ((sender as HeaderPrefixArea).FieldLayout.DataPresenter.FieldLayoutSettings.FilterUIType == FilterUIType.LabelIcons)
            {
                (sender as HeaderPrefixArea).FieldLayout.RecordFilters.Clear();
            }
        }
    }

    public class EnumToStrConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((FilterUIType)value == FilterUIType.LabelIcons)
            {
                return "go";
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
